rand.h File Reference

Pseudo-random number generator. More...

## Functions

xmpp_rand_t * | xmpp_rand_new (xmpp_ctx_t *ctx)
| Create new xmpp_rand_t object. More...
void | xmpp_rand_free (xmpp_ctx_t *ctx, xmpp_rand_t *rand)
| Destroy an xmpp_rand_t object. More...
int | xmpp_rand (xmpp_rand_t *rand)
| Generate random integer. More...
void | xmpp_rand_bytes (xmpp_rand_t *rand, unsigned char *output, size_t len)
| Generate random bytes. More...
void | xmpp_rand_nonce (xmpp_rand_t *rand, char *output, size_t len)
| Generate a nonce that is printable randomized string. More...

## Detailed Description

Pseudo-random number generator.